%define upstream_name    DBIx-Class-DeploymentHandler
%define upstream_version 0.002218

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Extensible DBIx::Class deployment
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Context::Preserve) >= 0.10.0
BuildRequires: perl(DBD::SQLite) >= 1.350.0
BuildRequires: perl(DBIx::Class) >= 0.81.210
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Log::Contextual) >= 0.5.5
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(Moose) >= 1.0.0
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.180.0
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(SQL::Translator) >= 0.110.50
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Text::Brew) >= 0.20.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(aliased)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent) >= 0.225.0
BuildArch:  noarch

%description
'DBIx::Class::DeploymentHandler' is, as its name suggests, a tool for
deploying and upgrading databases with DBIx::Class. It is
designed to be much more flexible than DBIx::Class::Schema::Versioned,
hence the use of Moose and lots of roles.

'DBIx::Class::DeploymentHandler' itself is just a recommended set of roles
that we think will not only work well for everyone, but will also yield the
best overall mileage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.2.218-3pclos2017
- rebuild against updates

